﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.77
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	Private Timer2 As Timer
	Private PWS As PhoneWakeState
	Dim N1 As Notification
End Sub

Sub Service_Create
	Init
End Sub

Sub PrepareNotification
	N1.Initialize
	N1.Icon="icon"
	N1.AutoCancel=False
	N1.Insistent=False
	N1.Light=False
	N1.Sound=False
	N1.Vibrate=False
	N1.SetInfo("Test running - s_v3","Test",Main)
	N1.Number=2
	Log("N1 is now created")
End Sub

Sub Service_Start (StartingIntent As Intent)
	Init
	WriteNow
End Sub

Sub Init
	Log("Init s_v3: " & Timer2.IsInitialized)
	If Timer2.IsInitialized = False Then
		PWS.PartialLock
		Timer2.Initialize("Timer2",(DateTime.TicksPerSecond*10))
		Timer2.Enabled = True
		PrepareNotification
		Service.StartForeground(2,N1)
		Log("s_v3 StartedForeground")
	End If
End Sub

Sub Service_Destroy
	Log("sv3 entered Service_Destroy")
	Timer2.Enabled = False
	PWS.ReleasePartialLock
	Service.StopForeground(2)
End Sub

Sub Timer2_Tick
	Log("T2_Tick")
	ToastMessageShow("Timer2_Tick",False)
	WriteNow
End Sub

Sub WriteNow
	CallSubDelayed2(Starter,"SaveL0",$"s_v3 - $Date{DateTime.Now} $time{DateTime.now}"$)
End Sub