﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	Private Timer1 As Timer
	Private PWS As PhoneWakeState
	Private N As Notification
End Sub

Sub Service_Create
	Init
End Sub

Sub PrepareNotification
	N.Initialize
	N.Icon="icon"
	N.AutoCancel=False
	N.Insistent=False
	N.Light=False
	N.Sound=False
	N.Vibrate=False
	N.SetInfo("Test running","Test",Main)
	N.Number=1
	Log("N is now created")
End Sub

Sub Service_Start (StartingIntent As Intent)
'	If StartingIntent.HasExtra("requester") Then
'		Log($"Started from: ${StartingIntent.GetExtra("requester")}"$)
'	Else
'		Log("Started from anything else")
'	End If
'	Log(StartingIntent.Action)
	
	Init
	WriteNow
End Sub

Sub Init
	Log("Init: " & Timer1.IsInitialized)
	If Timer1.IsInitialized = False Then
		PWS.PartialLock
		Timer1.Initialize("Timer1",(DateTime.TicksPerSecond*10))
		Timer1.Enabled = True
		PrepareNotification
		Service.StartForeground(1,N)
		Log("sv2 StartedForeground")
	End If
End Sub

Sub Service_Destroy
	Log("sv2 entered Service_Destroy")
	Timer1.Enabled = False
	PWS.ReleasePartialLock
	Service.StopForeground(1)
End Sub

Sub Timer1_Tick
	Log("T_Tick")
	ToastMessageShow("Timer1_Tick",False)
	WriteNow
End Sub

Sub WriteNow
	CallSubDelayed2(Starter,"SaveL0",$"sv2 - $Date{DateTime.Now} $time{DateTime.now}"$)
End Sub